Subject: Re: [RFC PATCH net-next] tcp: add a tracepoint for tcp_listen_queue_drop

From: Jakub Kicinski <[email-masked]>
Date: Thu, 13 Jul 2023 09:57:47 -0700

On Wed, 12 Jul 2023 21:43:32 -0500 Yan Zhai wrote:
> Those are not unnecessary calls, e.g. a lot of those kfree_skb come
> from iptables drops, tcp validation, ttl expires, etc. On a moderately
> loaded server, it is called at a rate of ~10k/sec, which isn't
> terribly awful given that we absorb millions of attack packets at each
> data center. We used to have many consume skb noises at this trace
> point with older versions of kernels, but those have gone ever since
> the better separation between consume and drop.

I was hoping you can break them down by category.

Specifically what I'm wondering is whether we should also have 
a separation between policy / "firewall drops" and error / exception
drops. Within the skb drop reason codes, I mean.